%define upstream_name    SDL
%define upstream_version 2.532

Name:       perl-SDL
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Wrapper around the cross platform Simple DirectMedia Layer game library
License:    LGPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/~kthakore/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::SDL) >= 1.424.0
BuildRequires: perl(CPAN) >= 1.920.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most) >= 0.210.0
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildRequires: perl(Tie::Simple)
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_net-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libSDL_gfx-devel >= 2.0.8
BuildRequires: libSDL_Pango-devel
BuildRequires: libungif-devel
BuildRequires: mesaglu-devel
BuildRequires: perl-devel
%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# this test requires a sound device
rm -f t/mixerpm.t

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
rm -rf %{buildroot}
./Build install  destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING INSTALL META.yml README TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/SDL*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/pods/*
%{perl_vendorarch}/Module/Build/SDL.pm

%changelog
* Mon Apr 04 2011 jquelin <jquelin> 1:2.532.0-1.mga1
+ Revision: 80399
- update to 2.532

* Wed Mar 09 2011 jquelin <jquelin> 1:2.531.0-1.mga1
+ Revision: 67077
- update to 2.531

* Sun Jan 23 2011 jquelin <jquelin> 1:2.526.0-2.mga1
+ Revision: 34884
- rebuild
- mageia rebuild
- imported package perl-SDL


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.526.0-1mdv2011.0
+ Revision: 627298
- new version

* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.524.0-1mdv2011.0
+ Revision: 612254
- update to new version 2.524

* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.523.0-1mdv2011.0
+ Revision: 602389
- update to new version 2.523

* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.522.0-1mdv2011.0
+ Revision: 596647
- update to 2.522

* Sun Oct 24 2010 Shlomi Fish <shlomif@mandriva.org> 1:2.518.0-3mdv2011.0
+ Revision: 588204
- Bumped the release to 3 in order to rebuild now that Capture-Tiny is in main
- Added some missing dependencies
- Upgraded to 2.518

* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.512.0-1mdv2011.0
+ Revision: 575418
- update to 2.512

* Tue Aug 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.511.0-1mdv2011.0
+ Revision: 574832
- adding missing buildrequires:
- adding missing buildrequires:
- update to 2.511

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1:2.2.6-5mdv2011.0
+ Revision: 564578
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.2.6-4mdv2011.0
+ Revision: 556141
- rebuild for perl 5.12

* Fri Apr 30 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.2.6-3mdv2010.1
+ Revision: 541187
- downgrade to 2.2.6
- adding missing buildrequires: (adding pango support)

* Thu Apr 22 2010 Jérôme Quelin <jquelin@mandriva.org> 2.403.0-1mdv2010.1
+ Revision: 537896
- update missing buildrequires:
- update buildrequires:
- update to 2.4

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-2mdv2010.1
+ Revision: 488793
- rebuilt against libjpeg v8

* Thu Dec 31 2009 Jérôme Quelin <jquelin@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 484436
- update to v2.2.6

* Sat Nov 07 2009 Jérôme Quelin <jquelin@mandriva.org> 2.2.5-1mdv2010.1
+ Revision: 462465
- update to v2.2.5

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.2.2.11-3mdv2010.0
+ Revision: 454805
- do not package huge examples

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 2.2.2.11-2mdv2010.0
+ Revision: 449969
- rebuild for new SDL_gfx

* Thu Sep 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.2.2.11-1mdv2010.0
+ Revision: 427882
- update to v2.2.2.11

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 2.2.1.8-1mdv2010.0
+ Revision: 421140
- forgot to commit the tarball
- update to 2.2.1.8

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 2.2.0-2mdv2010.0
+ Revision: 417018
- force rebuild
- pkgname back to what it was
- update to 2.2.0

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.1.3-4mdv2009.1
+ Revision: 351750
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.1.3-3mdv2009.0
+ Revision: 224051
- rebuild

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.1.3-2mdv2008.1
+ Revision: 180292
- use modified tarball with non-free font files (and the test script which uses them) removed (#38257)

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 164957
- new version

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.20.0-18mdv2008.1
+ Revision: 152277
- rebuild
- rebuild

* Tue Jan 08 2008 Thierry Vignaud <tv@mandriva.org> 1.20.0-16mdv2008.1
+ Revision: 146728
- fix mesaglu-devel BR
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.20.0-16mdv2007.0
+ Revision: 100649
- unpack patches
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-SDL

* Mon Sep 11 2006 Stefan van der Eijk <stefan@mandriva.org> 1.20.0-15
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.20.0-14mdk
- Rebuild

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-13mdk
- rebuild for new SDL_gfx

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-12mdk
- rebuild for new perl

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-11mdk
- patch for new SDL_gfx

* Thu May 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-10mdk
- drop patch 1 and build against fixed SDL_gfx

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-9mdk
- patch for new SDL_gfx

